TITAN_HGRIND_ID = "HGrind";


TITAN_HGRIND_CFG = { };

TITAN_HGRIND_KILLSTODAY = {};
TITAN_HGRIND_KILLSLIFETIME = {};

TITAN_HGRIND_LASTKILL = "";
TITAN_HGRIND_PLAYER = nil;
TITAN_HGRIND_VARSLOADED = false;
TITAN_HGRIND_PENDINGUPDATE = false;
TITAN_HGRIND_LASTWIN_TIMESTAMP = 0;

TITAN_HGRIND_LastEstimated = 0;
TITAN_HGRIND_InBattleground = false;
TITAN_HGRIND_Map = "dummy";
--TITAN_HGRIND_OldMap = "";
TITAN_HGRIND_EnterTime = 0;
TITAN_HGRIND_BGCONFIRM = 0;

--UIDROPDOWNMENU_MENU_VALUE = "Addons_Information";

TITAN_MEMORY_MENU_TOGGLE_TABLE = {
	"AutoAcceptInvite",
	"AutoJoinBG",
	"AutoReleaseBG",
	"ChatSpamOnKill"
}

function TitanPanelHGrindButton_OnLoad()

	this.registry = {
		id = TITAN_HGRIND_ID,
		version = 1.0,
		category = "Information",
		menuText = "HonorGrind",
		buttonTextFunction = "TitanPanelHGrindButton_GetButtonText", 
		tooltipTitle ="HonorGrind 1.0",
		frequency = 1,
		tooltipTextFunction = "TitanPanelHGrindButton_GetTooltipText", 
		savedVariables = {
			AutoAcceptInvite = 1,
--			ShowIcon = 1,
			AutoJoinBG = 1,
			AutoReleaseBG = 1,
			ChatSpamOnKill = 1
		}
	};	

	old_StaticPopup_OnHide = StaticPopup_OnHide;
	StaticPopup_OnHide = TitanPanelHGrindButton_StaticPopup_OnHide;
	
 	this:RegisterEvent("PLAYER_LEAVING_WORLD");
	this:RegisterEvent("PLAYER_ENTERING_WORLD");
	this:RegisterEvent("VARIABLES_LOADED");
	this:RegisterEvent("CHAT_MSG_COMBAT_HONOR_GAIN");
	this:RegisterEvent("PARTY_INVITE_REQUEST");
	this:RegisterEvent("UPDATE_BATTLEFIELD_STATUS");
	this:RegisterEvent("PLAYER_DEAD");
	--this:RegisterEvent("CONFIRM_BATTLEFIELD_ENTRY");
	
--	TitanPanelHGrindButton_SetIcon();
	
end

function TitanPanelHGrindButton_OnEvent()
	local autoAcceptInvite = TitanGetVar(TITAN_HGRIND_ID, "AutoAcceptInvite");
	local autoReleaseBG = TitanGetVar(TITAN_HGRIND_ID, "AutoReleaseBG");
	local chatSpamOnKill = TitanGetVar(TITAN_HGRIND_ID, "ChatSpamOnKill");
		
	
	if (event == "PLAYER_ENTERING_WORLD") then
		
		if (TITAN_HGRIND_VARSLOADED) then
			TitanPanelHGrindButton_GetPlayerName();
		else
			TITAN_HGRIND_PENDINGUPDATE = true;
		end

		local elapsed, gained;
		
		-- was last Zone AV, WS or AB?
		if (	TITAN_HGRIND_Map == TITAN_HGRIND_BG_AV or 
			TITAN_HGRIND_Map == TITAN_HGRIND_BG_AB or
			TITAN_HGRIND_Map == TITAN_HGRIND_BG_WS) 	then
		
		-- create and save stats for last Battleground --
		-- ------------------------------------------- --
			gained = math.floor(TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].estCP - TITAN_HGRIND_LastEstimated);
			elapsed = math.floor( (time() - TITAN_HGRIND_EnterTime) / 60 );

			local tmp_gained;

			tmp_gained = gained;

			if (gained < 0) then
				gained = "?";
				tmp_gained = "unknown (daily reset possible).";
			end
			
			if (elapsed > 1 and gained ~= "?") then
				if (not TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].BGHonorHistory[TITAN_HGRIND_Map]) then
					TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].BGHonorHistory[TITAN_HGRIND_Map] = {};
				end

				table.insert(TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].BGHonorHistory[TITAN_HGRIND_Map], { honor = gained, time = elapsed } );
				if (table.getn(TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].BGHonorHistory[TITAN_HGRIND_Map]) > 10) then
					table.remove(TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].BGHonorHistory[TITAN_HGRIND_Map], 1);
				end
			end
			
			-- saving stats successfull --
			DEFAULT_CHAT_FRAME:AddMessage("[ "..TITAN_HGRIND_Map..": "..gained..TITAN_HGRIND_H.." in "..elapsed.."min ]");	
						
		end

		-- check, if we are acutally in a Battleground --
		-- ------------------------------------------- --
		local i, id, map;
		TITAN_HGRIND_InBattleground = false;
		for i=1, 4 do
			_, map, id = GetBattlefieldStatus(i);
			if (id ~= 0) then   -- ZIOMG, we really are! --
				TITAN_HGRIND_Map = map; -- where are we?
				TITAN_HGRIND_LastEstimated = TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].estCP; -- only count honor gained here!
				TITAN_HGRIND_EnterTime = time(); -- OMG IT'S CAPSLOCK TIME!
				--DEFAULT_CHAT_FRAME:AddMessage("Ready to count some honor, Baby!");
				TITAN_HGRIND_InBattleground = true; -- Remember, we are in a BG!
				break -- walk on with other events. Work done here!
			else
				TITAN_HGRIND_EnterTime = 0;
				TITAN_HGRIND_Map = "dummy";
				--DEFAULT_CHAT_FRAME:AddMessage("WTF, not in a BG? You'll never get your Rank14 Equip!");
			end
		end	
		
	
	elseif (event == "PARTY_INVITE_REQUEST" and autoAcceptInvite) then
		AcceptGroup();
		StaticPopup_Hide("PARTY_INVITE");
	
	elseif (event == "UPDATE_BATTLEFIELD_STATUS") then
		TitanPanelHGrindButton_CheckBGConfirm();

	elseif (event == "PLAYER_DEAD") then
		-- Auto-Release upon death. But not when soulstoned, and only in battlegrounds.
		local status;
		for i=1, MAX_BATTLEFIELD_QUEUES do
			local s, _, _ = GetBattlefieldStatus(i);
			if (s == "active") then
				status = "active";
				break;
			end
		end

		if ((status == "active") and (not HasSoulstone()) and autoReleaseBG) then
			RepopMe();
		end
		

	elseif (event == "CHAT_MSG_COMBAT_HONOR_GAIN") then
		local rank, ecp, est;

		_, _, TITAN_HGRIND_LASTKILL, rank, ecp = string.find(arg1, TITAN_HGRIND_HONORKILL);
		

		if (not TITAN_HGRIND_LASTKILL) then

			_, _, TITAN_HGRIND_LASTKILL = string.find(arg1, TITAN_HGRIND_HONORGAIN);
			if (TITAN_HGRIND_LASTKILL) then
				TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].estCP = TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].estCP + tonumber(TITAN_HGRIND_LASTKILL);
			end

		else

			if (not TITAN_HGRIND_KILLSTODAY[TITAN_HGRIND_PLAYER][TITAN_HGRIND_LASTKILL]) then
				TITAN_HGRIND_KILLSTODAY[TITAN_HGRIND_PLAYER][TITAN_HGRIND_LASTKILL] = 0;
			end

			TITAN_HGRIND_KILLSTODAY[TITAN_HGRIND_PLAYER][TITAN_HGRIND_LASTKILL] = TITAN_HGRIND_KILLSTODAY[TITAN_HGRIND_PLAYER][TITAN_HGRIND_LASTKILL] + 1;

			if (ecp) then
				est = TitanPanelHGrindButton_EstimateCP(ecp);

				TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].estCP = TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].estCP + est;
			end

			-- uncomment for debugging-mode
			if (chatSpamOnKill) then
				DEFAULT_CHAT_FRAME:AddMessage("[ "..TITAN_HGRIND_HK1..": "..TITAN_HGRIND_LASTKILL.." ("..TITAN_HGRIND_TODAY..": "..TITAN_HGRIND_KILLSTODAY[TITAN_HGRIND_PLAYER][TITAN_HGRIND_LASTKILL].." "..TITAN_HGRIND_TIMES..")  "..TITAN_HGRIND_ESTH..": "..math.floor(est).." ]");
			end
		end

	elseif (event == "VARIABLES_LOADED") then
		TITAN_HGRIND_VARSLOADED = true;
		if (TITAN_HGRIND_PENDINGUPDATE) then
			TitanPanelHGrindButton_GetPlayerName();
		end
	
	end

	TitanPanelButton_UpdateButton(TITAN_HGRIND_ID);		
end

function TitanPanelHGrindButton_OnClick(button)

end

function TitanPanelHGrindButton_GetButtonText(id)
	
	if(not TITAN_HGRIND_PLAYER) then
		return format("(Loading...)", TitanUtils_GetHighlightText(0), TitanUtils_GetGreenText(0));
	end

	TitanPanelHGrindButton_CheckBGConfirm();
	
	local txt, gained, per = 0;
	local Text, z, cp, per, hc;
	hc = GetHonorCurrency();
	txt = "";
	txt2 = "";
	txt3 = "";
	if (TITAN_HGRIND_InBattleground) then
		gained = math.floor(TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].estCP - TITAN_HGRIND_LastEstimated);
		
		txt3 = " in "..math.floor( (time() - TITAN_HGRIND_EnterTime) / 60 ).." min";
		txt2 = TITAN_HGRIND_THISBG..":";
		txt = gained;
		
	end

	cp = math.floor(TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].estCP);

	if(TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].GoalHonor) then
		per = math.floor(((hc + TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].estCP) / TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].GoalHonor) * 100)
	else
		per = 0;
		TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].GoalHonor = 0;
	end

	Text = format(TITAN_HGRIND_H..": %s "..txt2.." %s"..txt3, TitanUtils_GetHighlightText(cp), TitanUtils_GetGreenText(txt));

			
	if(TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].GoalHonor >= 1) then
		if (per > 99) then
			Text = Text.." "..TITAN_HGRIND_GOALLBL..": "..format("%s.",TitanUtils_GetHighlightText(TITAN_HGRIND_DONE));
		else
			Text = Text.." "..TITAN_HGRIND_GOALLBL..": "..format("%s%%",TitanUtils_GetHighlightText(per));
		end
	end
	
	
	return Text;
end

function TitanPanelHGrindButton_GetTooltipText()
	local txt, hk, hc, ac, z, cp, ehc, per;
	hk = GetPVPLifetimeStats();
	hc = GetHonorCurrency();
	ac = GetArenaCurrency();
	
	cp = math.floor(TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].estCP);
	
	if(TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].GoalHonor) then
		per = math.floor(((hc + TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].estCP) / TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].GoalHonor) * 100)
	else
		per = 0;
	end
	
	ehc = cp + hc;

	
	z = 0;
	for _ in pairs(TITAN_HGRIND_KILLSTODAY[TITAN_HGRIND_PLAYER]) do
		z = z + 1;
	end

	-- BG stats
	local bg, honorArr, avgHonor, avgTime, bgSession, dataPoints, bgstats, avEst, abEst, wsgEst;

	bgstats = "";
	avEst = 0;
	abEst = 0;
	wsgEst = 0;

	
	for bg, honorArr in pairs(TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].BGHonorHistory) do
		avgHonor = 0;
		avgTime = 0;

		dataPoints = table.getn(honorArr);
		
		for _, bgSession in pairs(honorArr) do
			avgHonor = avgHonor + bgSession.honor;
			avgTime = avgTime + bgSession.time;
		end
	
		avgHonor = math.floor(avgHonor / dataPoints);
		avgTime = math.floor(avgTime / dataPoints);

		--Added by Tidan of Thorium Brotherhood
		--Calculation to estimate number of BG's needed to acheive GoalHonor
		if(bg == TITAN_HGRIND_BG_AV) then
			avEst = math.ceil((TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].GoalHonor - ehc) / avgHonor);
		elseif(bg == TITAN_HGRIND_BG_AB) then
			abEst = math.ceil((TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].GoalHonor - ehc) / avgHonor);
		elseif(bg == TITAN_HGRIND_BG_WS) then
			wsgEst = math.ceil((TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].GoalHonor - ehc) / avgHonor);
		end
		
		--Don't show negative values in needed BGs
		--if (avEst < 1) then avEst="-" end
		--if (abEst < 1) then abEst="-" end
		--if (wsgEst < 1) then wsgEst="-" end
			
		
		

		bgstats =	bgstats.."\n"..TitanUtils_GetHighlightText(bg.." stats:").."\n"..
				TITAN_HGRIND_AVEH..": \t"..TitanUtils_GetHighlightText(avgHonor).."\n"..
				TITAN_HGRIND_AVET..": \t"..TitanUtils_GetHighlightText(avgTime).."\n"..
				TITAN_HGRIND_AVEHPH..": \t"..TitanUtils_GetHighlightText(math.floor((avgHonor/avgTime)*60)).."\n"..
				"";



	end


	local txt, gained = 0;
	txt = "";
	if (TITAN_HGRIND_InBattleground) then
		gained = math.floor(TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].estCP - TITAN_HGRIND_LastEstimated);
		txt =	"\n"..TitanUtils_GetHighlightText(TITAN_HGRIND_CURRBG..": ").."\n"..
			TITAN_HGRIND_HGSF..": \t"..TitanUtils_GetHighlightText(gained);
	end



	local tiptxt
	tiptxt = ""..
		TitanUtils_GetHighlightText(TITAN_HGRIND_CURRENCY..": ").."\n"..
		TITAN_HGRIND_HP..": \t"..TitanUtils_GetHighlightText(hc).."\n"..
		TITAN_HGRIND_EHP..": \t"..TitanUtils_GetHighlightText(ehc).."\n"..
	-- uncomment on BC
	--	"Arena points: \t"..TitanUtils_GetHighlightText(ac).."\n"..
		"\n";

		--Goal Text for Tooltip

		
		if(TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].GoalHonor >= 1) then
			tiptxt = tiptxt..TitanUtils_GetHighlightText(TITAN_HGRIND_GOALLBL..": ").."\n";
			if (per > 99) then
				tiptxt = tiptxt..format("%s "..TITAN_HGRIND_FOR, TitanUtils_GetGreenText(TITAN_HGRIND_ENOUGH.." "..TITAN_HGRIND_H)).."\n";
			else
				tiptxt = tiptxt..format("%s%% "..TITAN_HGRIND_OF.." "..TitanUtils_GetGreenText(TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].GoalHonor).." "..TITAN_HGRIND_NEEDED.." "..TITAN_HGRIND_FOR,TitanUtils_GetGreenText(per)).."\n";
			end
			tiptxt = tiptxt..TitanUtils_GetHighlightText(TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].GoalText).."\n"..
			"\n"..TitanUtils_GetHighlightText(TITAN_HGRIND_GOALESTLBL..": ").."\n"..
			TITAN_HGRIND_BGAV..": ".."\t"..TitanUtils_GetGreenText(avEst).."\n"..
			TITAN_HGRIND_BGAB..": ".."\t"..TitanUtils_GetGreenText(abEst).."\n"..
			TITAN_HGRIND_BGWSG..": ".."\t"..TitanUtils_GetGreenText(wsgEst).."\n"..
			"\n";
		end

		
	tiptxt = tiptxt..
		TitanUtils_GetHighlightText(TITAN_HGRIND_TODAY..": ").."\n"..
		TITAN_HGRIND_HK..": \t"..TitanUtils_GetGreenText(z).."\n"..
		TITAN_HGRIND_HE..": \t"..TitanUtils_GetHighlightText(math.floor(TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].estCP)).."\n";



	return tiptxt..bgstats..txt;



end

--Added by Tidan of Thorium Brotherhood
--Icon Handler for honor
--function TitanPanelHGrindButton_SetIcon()
--	local icon = TitanPanelHGrindButtonIcon;
--	local factionGroup, factionName = UnitFactionGroup("player");	
--	--DEFAULT_CHAT_FRAME:AddMessage("Faction: "..factionGroup);
--	--DEFAULT_CHAT_FRAME:AddMessage("Faction1: "..factionName);
--	icon:SetTexCoord(0.046875, 0.609375, 0.03125, 0.59375);
--
--	if ( factionGroup == "Alliance" ) then
--		icon:SetTexture("Interface\\TargetingFrame\\UI-PVP-Alliance");
--	elseif ( factionGroup == "Horde" ) then
--		icon:SetTexture("Interface\\TargetingFrame\\UI-PVP-Horde");
--	else
--		icon:SetTexture("Interface\\TargetingFrame\\UI-PVP-FFA");
--	end
--end
--
--Created Menu Level handles
function TitanPanelRightClickMenu_PrepareHGrindMenu()
	-- Level 2
	if ( UIDROPDOWNMENU_MENU_LEVEL == 2 ) then
		TitanPanel_GoalsMenu();
		return;
	end
	
	-- Level 3
	if ( UIDROPDOWNMENU_MENU_LEVEL == 3 ) then
		TitanPanel_GoalsTwoMenu();
		return;
	end

	-- Level 1
	TitanPanel_MainHGrindMenu()
end







function TitanPanel_MainHGrindMenu()
	local info = {};
	local factionGroup, factionName = UnitFactionGroup("player");
--	DEFAULT_CHAT_FRAME:AddMessage("Faction: "..factionGroup);
--	DEFAULT_CHAT_FRAME:AddMessage("Faction1: "..factionName);
	
	TitanPanelRightClickMenu_AddTitle(TitanPlugins[TITAN_HGRIND_ID].menuText);

	TitanPanelRightClickMenu_AddSpacer();
	TitanPanelRightClickMenu_AddTitle(TITAN_HGRIND_GOALSLBL);
	
	--Check faction to build Menu
	if(factionGroup == "Alliance") then
		info = {};
		info.text = TITAN_HGRIND_ARMOR;
		info.value = "AArmor";
		info.hasArrow = 1;
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WEAPON;
		info.value = "AWeapon";
		info.hasArrow = 1;
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_MISC;
		info.value = "AMisc";
		info.hasArrow = 1;
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_ASS;
		info.value = "ASS";
		info.hasArrow = 1;
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_ASG;
		info.value = "ASG";
		info.hasArrow = 1;
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_ALA;
		info.value = "ALA";
		info.hasArrow = 1;
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
	elseif ( factionGroup == "Horde" ) then
		info = {};
		info.text = TITAN_HGRIND_ARMOR;
		info.value = "HArmor";
		info.hasArrow = 1;
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WEAPON;
		info.value = "HWeapon";
		info.hasArrow = 1;
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_MISC;
		info.value = "HMisc";
		info.hasArrow = 1;
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_HFC;
		info.value = "HFC";
		info.hasArrow = 1;
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_HTD;
		info.value = "HTD";
		info.hasArrow = 1;
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_HWO;
		info.value = "HWO";
		info.hasArrow = 1;
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
	end
	
	
	TitanPanelRightClickMenu_AddSpacer();
	TitanPanelRightClickMenu_AddTitle("Options");
  	TitanPanelRightClickMenu_AddToggleVar(TITAN_HGRIND_AAPI, TITAN_HGRIND_ID , "AutoAcceptInvite" );
	TitanPanelRightClickMenu_AddToggleVar(TITAN_HGRIND_AJBG, TITAN_HGRIND_ID , "AutoJoinBG" );
	TitanPanelRightClickMenu_AddToggleVar(TITAN_HGRIND_ARC, TITAN_HGRIND_ID , "AutoReleaseBG" );
	TitanPanelRightClickMenu_AddToggleVar(TITAN_HGRIND_CSOK, TITAN_HGRIND_ID , "ChatSpamOnKill" );
--	TitanPanelRightClickMenu_AddToggleIcon(TITAN_HGRIND_ID);
	
	
	TitanPanelRightClickMenu_AddSpacer();
	TitanPanelRightClickMenu_AddCommand(TITAN_HGRIND_RESET, TITAN_HGRIND_ID , "TitanPanelHGrindButton_ResetBGStats");
	TitanPanelRightClickMenu_AddCommand("Reset Goal", TITAN_HGRIND_ID , "TitanPanelHGrindButton_ResetGoal");
	
	TitanPanelRightClickMenu_AddSpacer();	
	TitanPanelRightClickMenu_AddCommand(TITAN_PANEL_MENU_HIDE, TITAN_HGRIND_ID, TITAN_PANEL_MENU_FUNC_HIDE);
end

--Added by Tidan of Thorium Brotherhood
--Function to select goal objects to track progress
function TitanPanel_GoalsMenu()
	local info = {};
	if ( UIDROPDOWNMENU_MENU_VALUE == "AWeapon" ) then
		--Begin Alliance Two-Hand weapons
		TitanPanelRightClickMenu_AddTitle(TitanUtils_GetGreenText(TITAN_HGRIND_ALLL), UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddTitle(TITAN_HGRIND_TWOHAND, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_GMCLAYMORE;
		info.value = {"GMCLAYMORE",TITAN_HGRIND_GMCLAYMORE,45000};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["GMCLAYMORE"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_GMSUNDERER;
		info.value = {"GMSUNDERER",TITAN_HGRIND_GMSUNDERER,45000};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["GMSUNDERER"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_GMBHAMMER;
		info.value = {"GMBHAMMER",TITAN_HGRIND_GMBHAMMER,45000};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["GMBHAMMER"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_GMDEMOLISHER;
		info.value = {"GMDEMOLISHER",TITAN_HGRIND_GMDEMOLISHER,45000};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["GMDEMOLISHER"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_GMGLAIVE;
		info.value = {"GMGLAIVE",TITAN_HGRIND_GMGLAIVE,45000};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["GMGLAIVE"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_GMSTAVE;
		info.value = {"GMSTAVE",TITAN_HGRIND_GMSTAVE,45000};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["GMSTAVE"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		
		--Begin Alliance One-Hand/Main Hand Weapons
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddTitle(TITAN_HGRIND_ONEHAND, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_GMHANDAXE;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"GMHANDAXE",TITAN_HGRIND_GMHANDAXE,22500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["GMHANDAXE"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_GMLONGSWORD;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"GMLONGSWORD",TITAN_HGRIND_GMLONGSWORD,22500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["GMLONGSWORD"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_GMSWIFTBLADE;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"GMSWIFTBLADE",TITAN_HGRIND_GMSWIFTBLADE,22500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["GMSWIFTBLADE"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_GMPUNISHER;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"GMPUNISHER",TITAN_HGRIND_GMPUNISHER,22500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["GMPUNISHER"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_GMWARHAMMER;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"GMWARHAMMER",TITAN_HGRIND_GMWARHAMMER,22500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["GMWARHAMMER"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_GMRHB;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"GMRHB",TITAN_HGRIND_GMRHB,22500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["GMRHB"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_GMDIRK;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"GMDIRK",TITAN_HGRIND_GMDIRK,22500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["GMDIRK"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_GMMAGEBLADE;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"GMMAGEBLADE",TITAN_HGRIND_GMMAGEBLADE,22500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["GMMAGEBLADE"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		
		--Begin Alliance Off Hand Weapons
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddTitle(TITAN_HGRIND_OFFHAND, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_GMLHB;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"GMLHB",TITAN_HGRIND_GMLHB,22500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["GMLHB"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_GMAEGIS;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"GMAEGIS",TITAN_HGRIND_GMAEGIS,22500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["GMAEGIS"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_GMTPOWER;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"GMTPOWER",TITAN_HGRIND_GMTPOWER,22500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["GMTPOWER"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_GMTRESTO;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"GMTRESTO",TITAN_HGRIND_GMTRESTO,22500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["GMTRESTO"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		
		--Begin Alliance Ranged Weapons
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddTitle(TITAN_HGRIND_RANGED, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_GMBULLSEYE;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"GMBULLSEYE",TITAN_HGRIND_GMBULLSEYE,22500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["GMBULLSEYE"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_GMREPEATER;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"GMREPEATER",TITAN_HGRIND_GMREPEATER,22500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["GMREPEATER"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_GMCANNON;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"GMCANNON",TITAN_HGRIND_GMCANNON,22500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["GMCANNON"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
	end
	
	if ( UIDROPDOWNMENU_MENU_VALUE == "AArmor" ) then
		--Begin Alliance Rare Armor
		TitanPanelRightClickMenu_AddTitle(TitanUtils_GetGreenText(TITAN_HGRIND_ALLL), UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddTitle(TITAN_HGRIND_RARE, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SCAPE30;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SCAPE30",TITAN_HGRIND_SCAPE30,140};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SCAPE30"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SCAPE45;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SCAPE45",TITAN_HGRIND_SCAPE45,306};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SCAPE45"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SCAPE58;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SCAPE58",TITAN_HGRIND_SCAPE58,2250};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SCAPE58"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SMWRIST45;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SMWRIST45",TITAN_HGRIND_SMWRIST45,306};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SMWRIST45"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SMWRIST58;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SMWRIST58",TITAN_HGRIND_SMWRIST58,2250};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SMWRIST58"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_KLGLOVES;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"KLGLOVES",TITAN_HGRIND_KLGLOVES,4125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["KLGLOVES"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_KLBOOTS;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"KLBOOTS",TITAN_HGRIND_KLBOOTS,4125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["KLBOOTS"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_KCCHEST;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"KCCHEST",TITAN_HGRIND_KCCHEST,6750};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["KCCHEST"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_KCLEGS;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"KCLEGS",TITAN_HGRIND_KCLEGS,6375};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["KCLEGS"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_LCHELM;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"LCHELM",TITAN_HGRIND_LCHELM,6375};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["LCHELM"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_LCSHOULDER;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"LCSHOULDER",TITAN_HGRIND_LCSHOULDER,4125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["LCSHOULDER"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		
		--Begin Alliance Epic Armor
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddTitle(TITAN_HGRIND_EPIC, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_MBOOTS;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"MBOOTS",TITAN_HGRIND_MBOOTS,12375};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["MBOOTS"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_MGLOVES;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"MGLOVES",TITAN_HGRIND_MGLOVES,12375};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["MGLOVES"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_MLEGS;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"MLEGS",TITAN_HGRIND_MLEGS,19125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["MLEGS"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_FMCHEST;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"FMCHEST",TITAN_HGRIND_FMCHEST,20250};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["FMCHEST"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_FMHELM;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"FMHELM",TITAN_HGRIND_FMHELM,19125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["FMHELM"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_FMSHOULDER;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"FMSHOULDER",TITAN_HGRIND_FMSHOULDER,12375};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["FMSHOULDER"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
	end
	
	if ( UIDROPDOWNMENU_MENU_VALUE == "AMisc" ) then
		--Begin Alliance Misc Items
		TitanPanelRightClickMenu_AddTitle(TitanUtils_GetGreenText(TITAN_HGRIND_ALLL), UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_ABATSTAN;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"ABATSTAN",TITAN_HGRIND_ABATSTAN,22500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["ABATSTAN"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddTitle(TITAN_HGRIND_NECK, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_MSINSIGNIA30;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"MSINSIGNIA30",TITAN_HGRIND_MSINSIGNIA30,140};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["MSINSIGNIA30"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_MSINSIGNIA45;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"MSINSIGNIA45",TITAN_HGRIND_MSINSIGNIA45,306};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["MSINSIGNIA45"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_MSINSIGNIA58;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"MSINSIGNIA58",TITAN_HGRIND_MSINSIGNIA58,2250};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["MSINSIGNIA58"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_PTRIUMPH;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"PTRIUMPH",TITAN_HGRIND_PTRIUMPH,22500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["PTRIUMPH"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_PDOMINANCE;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"PDOMINANCE",TITAN_HGRIND_PDOMINANCE,22500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["PDOMINANCE"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddTitle(TITAN_HGRIND_FINGER, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_BTRIUMPH;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"BTRIUMPH",TITAN_HGRIND_BTRIUMPH,9750};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["BTRIUMPH"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_BDOMINANCE;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"BDOMINANCE",TITAN_HGRIND_BDOMINANCE,9750};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["BDOMINANCE"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddTitle(TITAN_HGRIND_TRINK, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_AINSIGNIA;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"AINSIGNIA",TITAN_HGRIND_AINSIGNIA,4125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["AINSIGNIA"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_AMEDALL;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"AMEDALL",TITAN_HGRIND_AMEDALL,13875};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["AMEDALL"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_ATALIS;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"ATALIS",TITAN_HGRIND_ATALIS,33750};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["ATALIS"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddTitle(TITAN_HGRIND_JEWEL, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_BOR;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"BOR",TITAN_HGRIND_BOR,28125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["BOR"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_ROR;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"ROR",TITAN_HGRIND_ROR,28125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["ROR"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SOD;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SOD",TITAN_HGRIND_SOD,28125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SOD"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_GOD;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"GOD",TITAN_HGRIND_GOD,28125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["GOD"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_IOT;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"IOT",TITAN_HGRIND_IOT,31500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["IOT"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_POT;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"POT",TITAN_HGRIND_POT,31500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["POT"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
	end
	--Begin Alliance Forces Rewards
	--League of Arathor
	if ( UIDROPDOWNMENU_MENU_VALUE == "ALA" ) then
		TitanPanelRightClickMenu_AddTitle(TitanUtils_GetGreenText(TITAN_HGRIND_ALAL), UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_LATALIS28;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"LATALIS28",TITAN_HGRIND_LATALIS28,257};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["LATALIS28"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_LATALIS38;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"LATALIS38",TITAN_HGRIND_LATALIS38,380};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["LATALIS38"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_LATALIS48;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"LATALIS48",TITAN_HGRIND_LATALIS48,561};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["LATALIS48"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_LATALIS58;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"LATALIS58",TITAN_HGRIND_LATALIS58,4125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["LATALIS58"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_LABELT28;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"LABELT28",TITAN_HGRIND_LABELT28,257};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["LABELT28"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_LABELT40;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"LABELT40",TITAN_HGRIND_LABELT40,380};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["LABELT40"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_LABELT48;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"LABELT48",TITAN_HGRIND_LABELT48,561};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["LABELT48"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_LABELT58;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"LABELT58",TITAN_HGRIND_LABELT58,4125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["LABELT58"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_LABOOT28;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"LABOOT28",TITAN_HGRIND_LABOOT28,257};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["LABOOT28"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_LABOOT40;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"LABOOT40",TITAN_HGRIND_LABOOT40,380};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["LABOOT40"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_LABOOT48;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"LABOOT48",TITAN_HGRIND_LABOOT48,561};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["LABOOT48"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_LABOOT58;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"LABOOT58",TITAN_HGRIND_LABOOT58,4125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["LABOOT58"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_LACLOAK;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"LACLOAK",TITAN_HGRIND_LACLOAK,6750};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["LACLOAK"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_LASHOULDER;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"LASHOULDER",TITAN_HGRIND_LASHOULDER,12375};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["LASHOULDER"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_LASTAFF;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"LASTAFF",TITAN_HGRIND_LASTAFF,22500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["LASTAFF"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_LASAGE;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"LASAGE",TITAN_HGRIND_LASAGE,12000};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["LASAGE"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
	end
	--Stormpike Guard
	if ( UIDROPDOWNMENU_MENU_VALUE == "ASG" ) then
		TitanPanelRightClickMenu_AddTitle(TitanUtils_GetGreenText(TITAN_HGRIND_ASGL), UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGSOLDCLOAK;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGSOLDCLOAK",TITAN_HGRIND_SGSOLDCLOAK,2250};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGSOLDCLOAK"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGSAGECLOAK;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGSAGECLOAK",TITAN_HGRIND_SGSAGECLOAK,2250};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGSAGECLOAK"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGSOLDPEND;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGSOLDPEND",TITAN_HGRIND_SGSOLDPEND,2250};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGSOLDPEND"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGSAGEPEND;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGSAGEPEND",TITAN_HGRIND_SGSAGEPEND,2250};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGSAGEPEND"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGPBELT;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGPBELT",TITAN_HGRIND_SGPBELT,4125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGPBELT"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGMBELT;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGMBELT",TITAN_HGRIND_SGMBELT,4125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGMBELT"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGLBELT;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGLBELT",TITAN_HGRIND_SGLBELT,4125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGLBELT"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGCBELT;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGCBELT",TITAN_HGRIND_SGCBELT,4125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGCBELT"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGELECDAG;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGELECDAG",TITAN_HGRIND_SGELECDAG,3500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGELECDAG"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGCRACKSTAF;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGCRACKSTAF",TITAN_HGRIND_SGCRACKSTAF,4000};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGCRACKSTAF"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGSTORMHAM;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGSTORMHAM",TITAN_HGRIND_SGSTORMHAM,3500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGSTORMHAM"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGBANDO;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGBANDO",TITAN_HGRIND_SGBANDO,2250};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGBANDO"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGQUIV;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGQUIV",TITAN_HGRIND_SGQUIV,2250};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGQUIV"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGLEI;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGLEI",TITAN_HGRIND_SGLEI,7000};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGLEI"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGTHERA;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGTHERA",TITAN_HGRIND_SGTHERA,7000};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGTHERA"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGTDOM;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGTDOM",TITAN_HGRIND_SGTDOM,7000};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGTDOM"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGTARC;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGTARC",TITAN_HGRIND_SGTARC,7000};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGTARC"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGTFOR;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGTFOR",TITAN_HGRIND_SGTFOR,7000};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGTFOR"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGTICE;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGTICE",TITAN_HGRIND_SGTICE,7000};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGTICE"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGUNSTOP;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGUNSTOP",TITAN_HGRIND_SGUNSTOP,7000};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGUNSTOP"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGIMMOV;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGIMMOV",TITAN_HGRIND_SGIMMOV,7000};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGIMMOV"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGDONJULIO;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGDONJULIO",TITAN_HGRIND_SGDONJULIO,6750};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGDONJULIO"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGDONROD;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGDONROD",TITAN_HGRIND_SGDONROD,6750};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGDONROD"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGLOBO;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGLOBO",TITAN_HGRIND_SGLOBO,7000};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGLOBO"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
	end
	--Silverwing Sentinels
	if ( UIDROPDOWNMENU_MENU_VALUE == "ASS" ) then
		TitanPanelRightClickMenu_AddTitle(TITAN_HGRIND_ASS, UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WEAPON;
		info.value = "SSWeapon";
		info.hasArrow = 1;
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_ARMOR;
		info.value = "SSArmor";
		info.hasArrow = 1;
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_TRINK;
		info.value = "SSTrink";
		info.hasArrow = 1;
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_FINGER;
		info.value = "SSRing";
		info.hasArrow = 1;
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_NECK;
		info.value = "SSNeck";
		info.hasArrow = 1;
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
	end
	--Begin Horde Weapons
	if ( UIDROPDOWNMENU_MENU_VALUE == "HWeapon" ) then
		--Begin Horde Two-Hand weapons
		TitanPanelRightClickMenu_AddTitle(TitanUtils_GetGreenText(TITAN_HGRIND_HOLL), UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddTitle(TITAN_HGRIND_TWOHAND, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_HWGREAT;
		info.value = {"HWGREAT",TITAN_HGRIND_HWGREAT,45000};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["HWGREAT"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_HWBATAXE;
		info.value = {"HWBATAXE",TITAN_HGRIND_HWBATAXE,45000};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["HWBATAXE"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_HWPULVER;
		info.value = {"HWPULVER",TITAN_HGRIND_HWPULVER,45000};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["HWPULVER"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_HWDESTROY;
		info.value = {"HWDESTROY",TITAN_HGRIND_HWDESTROY,45000};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["HWDESTROY"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_HWSTICKER;
		info.value = {"HWSTICKER",TITAN_HGRIND_HWSTICKER,45000};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["HWSTICKER"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_HWWARSTAFF;
		info.value = {"HWWARSTAFF",TITAN_HGRIND_HWWARSTAFF,45000};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["HWWARSTAFF"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		--Begin One-Hand/Main Hand
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddTitle(TITAN_HGRIND_ONEHAND, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_HWCLEAVER;
		info.value = {"HWCLEAVER",TITAN_HGRIND_HWCLEAVER,22500};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["HWCLEAVER"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_HWBLADE;
		info.value = {"HWBLADE",TITAN_HGRIND_HWBLADE,22500};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["HWBLADE"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_HWQUICK;
		info.value = {"HWQUICK",TITAN_HGRIND_HWQUICK,22500};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["HWQUICK"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_HWBLUDGEON;
		info.value = {"HWBLUDGEON",TITAN_HGRIND_HWBLUDGEON,22500};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["HWBLUDGEON"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_HWBATMACE;
		info.value = {"HWBATMACE",TITAN_HGRIND_HWBATMACE,22500};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["HWBATMACE"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_HWRCLAW;
		info.value = {"HWRCLAW",TITAN_HGRIND_HWRCLAW,22500};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["HWRCLAW"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_HWRAZOR;
		info.value = {"HWRAZOR",TITAN_HGRIND_HWRAZOR,22500};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["HWRAZOR"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_HWSPELLBLADE;
		info.value = {"HWSPELLBLADE",TITAN_HGRIND_HWSPELLBLADE,22500};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["HWSPELLBLADE"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		--Begin Off Hand
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddTitle(TITAN_HGRIND_OFFHAND, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_HWTMEND;
		info.value = {"HWTMEND",TITAN_HGRIND_HWTMEND,22500};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["HWTMEND"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_HWTDEST;
		info.value = {"HWTDEST",TITAN_HGRIND_HWTDEST,22500};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["HWTDEST"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_HWSWALL;
		info.value = {"HWSWALL",TITAN_HGRIND_HWSWALL,22500};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["HWSWALL"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_HWLCLAW;
		info.value = {"HWLCLAW",TITAN_HGRIND_HWLCLAW,22500};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["HWLCLAW"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		--Begin Ranged
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddTitle(TITAN_HGRIND_RANGED, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_HWRECURVE;
		info.value = {"HWRECURVE",TITAN_HGRIND_HWRECURVE,22500};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["HWRECURVE"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_HWCROSSBO;
		info.value = {"HWCROSSBO",TITAN_HGRIND_HWCROSSBO,22500};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["HWCROSSBO"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_HWSWEEPER;
		info.value = {"HWSWEEPER",TITAN_HGRIND_HWSWEEPER,22500};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["HWSWEEPER"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
	end
	--Begin Horde Armor
	if ( UIDROPDOWNMENU_MENU_VALUE == "HArmor" ) then
		--Begin Alliance Two-Hand weapons
		TitanPanelRightClickMenu_AddTitle(TitanUtils_GetGreenText(TITAN_HGRIND_HOLL), UIDROPDOWNMENU_MENU_LEVEL);
		--Begin Rare
		TitanPanelRightClickMenu_AddTitle(TITAN_HGRIND_RARE, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_FSWRIST45;
		info.value = {"FSWRIST45",TITAN_HGRIND_FSWRIST45,306};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["FSWRIST45"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_FSWRIST58;
		info.value = {"FSWRIST58",TITAN_HGRIND_FSWRIST58,2250};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["FSWRIST58"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SCAPE30;
		info.value = {"SCAPE30",TITAN_HGRIND_SCAPE30,140};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SCAPE30"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SCAPE45;
		info.value = {"SCAPE45",TITAN_HGRIND_SCAPE45,306};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SCAPE45"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SCAPE58;
		info.value = {"SCAPE58",TITAN_HGRIND_SCAPE58,2250};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SCAPE58"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_BGBOOTS;
		info.value = {"BGBOOTS",TITAN_HGRIND_BGBOOTS,4125};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["BGBOOTS"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_BGGLOVES;
		info.value = {"BGGLOVES",TITAN_HGRIND_BGGLOVES,4125};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["BGGLOVES"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_LLEGS;
		info.value = {"LLEGS",TITAN_HGRIND_LLEGS,6375};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["LLEGS"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_LCHEST;
		info.value = {"LCHEST",TITAN_HGRIND_LCHEST,6750};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["LCHEST"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_CSHOULDER;
		info.value = {"CSHOULDER",TITAN_HGRIND_CSHOULDER,4125};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["CSHOULDER"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_CHELM;
		info.value = {"CHELM",TITAN_HGRIND_CHELM,6375};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["CHELM"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		--Begin Epic
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddTitle(TITAN_HGRIND_EPIC, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_GBOOTS;
		info.value = {"GBOOTS",TITAN_HGRIND_GBOOTS,12375};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["GBOOTS"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_GGLOVES;
		info.value = {"GGLOVES",TITAN_HGRIND_GGLOVES,12375};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["GGLOVES"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_GLEGS;
		info.value = {"GLEGS",TITAN_HGRIND_GLEGS,19125};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["GLEGS"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WCHEST;
		info.value = {"WCHEST",TITAN_HGRIND_WCHEST,20250};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WCHEST"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WHELM;
		info.value = {"WHELM",TITAN_HGRIND_WHELM,19125};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WHELM"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WSHOULDER;
		info.value = {"WSHOULDER",TITAN_HGRIND_WSHOULDER,12375};
		info.func = TitanHGrindButton_ToggleGoal;
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WSHOULDER"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
	end
	--Begin Horde Misc
	if ( UIDROPDOWNMENU_MENU_VALUE == "HMisc" ) then
		--Begin Alliance Two-Hand weapons
		TitanPanelRightClickMenu_AddTitle(TitanUtils_GetGreenText(TITAN_HGRIND_HOLL), UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_HBATSTAN;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"HBATSTAN",TITAN_HGRIND_HBATSTAN,22500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["HBATSTAN"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddTitle(TITAN_HGRIND_TRINK, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_HINSIG;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"HINSIG",TITAN_HGRIND_HINSIG,4125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["HINSIG"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddTitle(TITAN_HGRIND_NECK, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSINSIG30;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSINSIG30",TITAN_HGRIND_SSINSIG30,140};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSINSIG30"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSINSIG45;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSINSIG45",TITAN_HGRIND_SSINSIG45,306};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSINSIG45"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSINSIG58;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSINSIG58",TITAN_HGRIND_SSINSIG58,2250};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSINSIG58"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_PTRIUMPH;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"PTRIUMPH",TITAN_HGRIND_PTRIUMPH,22500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["PTRIUMPH"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_PDOMINANCE;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"PDOMINANCE",TITAN_HGRIND_PDOMINANCE,22500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["PDOMINANCE"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddTitle(TITAN_HGRIND_FINGER, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_BTRIUMPH;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"BTRIUMPH",TITAN_HGRIND_BTRIUMPH,9750};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["BTRIUMPH"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_BDOMINANCE;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"BDOMINANCE",TITAN_HGRIND_BDOMINANCE,9750};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["BDOMINANCE"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddTitle(TITAN_HGRIND_JEWEL, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_BOR;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"BOR",TITAN_HGRIND_BOR,28125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["BOR"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_ROR;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"ROR",TITAN_HGRIND_ROR,28125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["ROR"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SOD;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SOD",TITAN_HGRIND_SOD,28125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SOD"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_GOD;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"GOD",TITAN_HGRIND_GOD,28125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["GOD"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_IOT;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"IOT",TITAN_HGRIND_IOT,31500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["IOT"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_POT;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"POT",TITAN_HGRIND_POT,31500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["POT"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
	end
	--Begin Horde Forces
	--Begin Frostwolf Clan
	if ( UIDROPDOWNMENU_MENU_VALUE == "HFC" ) then
		--Begin Alliance Two-Hand weapons
		TitanPanelRightClickMenu_AddTitle(TitanUtils_GetGreenText(TITAN_HGRIND_HFCL), UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddTitle(TITAN_HGRIND_TWOHAND, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_FCLEGCLOAK;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"FCLEGCLOAK",TITAN_HGRIND_FCLEGCLOAK,2250};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["FCLEGCLOAK"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_FCADVICLOAK;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"FCADVICLOAK",TITAN_HGRIND_FCADVICLOAK,2250};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["FCADVICLOAK"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_FCLEGPEND;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"FCLEGPEND",TITAN_HGRIND_FCLEGPEND,2250};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["FCLEGPEND"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_FCADVIPEND;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"FCADVIPEND",TITAN_HGRIND_FCADVIPEND,2250};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["FCADVIPEND"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_FCPBELT;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"FCPBELT",TITAN_HGRIND_FCPBELT,4125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["FCPBELT"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_FCMBELT;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"FCMBELT",TITAN_HGRIND_FCMBELT,4125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["FCMBELT"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_FCLBELT;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"FCLBELT",TITAN_HGRIND_FCLBELT,4125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["FCLBELT"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_FCCBELT;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"FCCBELT",TITAN_HGRIND_FCCBELT,4125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["FCCBELT"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_FCFROSTBITE;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"FCFROSTBITE",TITAN_HGRIND_FCFROSTBITE,3500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["FCFROSTBITE"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_FCGLACIAL;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"FCGLACIAL",TITAN_HGRIND_FCGLACIAL,3500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["FCGLACIAL"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_FCSTAFF;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"FCSTAFF",TITAN_HGRIND_FCSTAFF,4000};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["FCSTAFF"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGBANDO;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGBANDO",TITAN_HGRIND_SGBANDO,2250};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGBANDO"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGQUIV;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGQUIV",TITAN_HGRIND_SGQUIV,2250};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGQUIV"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGLEI;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGLEI",TITAN_HGRIND_SGLEI,7000};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGLEI"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGTHERA;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGTHERA",TITAN_HGRIND_SGTHERA,7000};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGTHERA"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGTDOM;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGTDOM",TITAN_HGRIND_SGTDOM,7000};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGTDOM"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGTARC;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGTARC",TITAN_HGRIND_SGTARC,7000};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGTARC"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGTFOR;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGTFOR",TITAN_HGRIND_SGTFOR,7000};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGTFOR"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGTICE;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGTICE",TITAN_HGRIND_SGTICE,7000};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGTICE"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGUNSTOP;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGUNSTOP",TITAN_HGRIND_SGUNSTOP,7000};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGUNSTOP"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGIMMOV;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGIMMOV",TITAN_HGRIND_SGIMMOV,7000};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGIMMOV"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGDONJULIO;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGDONJULIO",TITAN_HGRIND_SGDONJULIO,6750};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGDONJULIO"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGDONROD;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGDONROD",TITAN_HGRIND_SGDONROD,6750};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGDONROD"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SGLOBO;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SGLOBO",TITAN_HGRIND_SGLOBO,7000};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SGLOBO"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
	end
	--Begin The Defilers
	if ( UIDROPDOWNMENU_MENU_VALUE == "HTD" ) then
		--Begin Alliance Two-Hand weapons
		TitanPanelRightClickMenu_AddTitle(TitanUtils_GetGreenText(TITAN_HGRIND_HTDL), UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddTitle(TITAN_HGRIND_TWOHAND, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_TDTALIS28;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"TDTALIS28",TITAN_HGRIND_TDTALIS28,257};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["TDTALIS28"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_TDTALIS38;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"TDTALIS38",TITAN_HGRIND_TDTALIS38,380};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["TDTALIS38"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_TDTALIS48;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"TDTALIS48",TITAN_HGRIND_TDTALIS48,561};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["TDTALIS48"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_TDTALIS58;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"TDTALIS58",TITAN_HGRIND_TDTALIS58,4125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["TDTALIS58"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_TDBELT28;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"TDBELT28",TITAN_HGRIND_TDBELT28,257};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["TDBELT28"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_TDBELT40;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"TDBELT40",TITAN_HGRIND_TDBELT40,380};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["TDBELT40"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_TDBELT48;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"TDBELT48",TITAN_HGRIND_TDBELT48,561};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["TDBELT48"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_TDBELT58;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"TDBELT58",TITAN_HGRIND_TDBELT58,4125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["TDBELT58"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_TDBOOT28;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"TDBOOT28",TITAN_HGRIND_TDBOOT28,257};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["TDBOOT28"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_TDBOOT40;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"TDBOOT40",TITAN_HGRIND_TDBOOT40,380};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["TDBOOT40"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_TDBOOT48;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"TDBOOT48",TITAN_HGRIND_TDBOOT48,561};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["TDBOOT48"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_TDBOOT58;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"TDBOOT58",TITAN_HGRIND_TDBOOT58,4125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["TDBOOT58"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_TDCLOAK;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"TDCLOAK",TITAN_HGRIND_TDCLOAK,6750};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["TDCLOAK"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_TDSHOULDER;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"TDSHOULDER",TITAN_HGRIND_TDSHOULDER,12375};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["TDSHOULDER"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_TDSTAFF;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"TDSTAFF",TITAN_HGRIND_TDSTAFF,22500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["TDSTAFF"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_TDDAG;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"TDDAG",TITAN_HGRIND_TDDAG,12000};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["TDDAG"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
	end
	--Begin Warsong Outriders
	if ( UIDROPDOWNMENU_MENU_VALUE == "HWO" ) then
		TitanPanelRightClickMenu_AddTitle(TITAN_HGRIND_HWO, UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WEAPON;
		info.value = "WOWeapon";
		info.hasArrow = 1;
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_ARMOR;
		info.value = "WOArmor";
		info.hasArrow = 1;
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_TRINK;
		info.value = "WOTrink";
		info.hasArrow = 1;
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_FINGER;
		info.value = "WORing";
		info.hasArrow = 1;
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_NECK;
		info.value = "WONeck";
		info.hasArrow = 1;
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
	end
end

function TitanPanel_GoalsTwoMenu()
	local info = {};
	if ( UIDROPDOWNMENU_MENU_VALUE == "SSWeapon" ) then
		--Silverwing Sentinels Weapons
		TitanPanelRightClickMenu_AddTitle(TitanUtils_GetGreenText(TITAN_HGRIND_ASSL), UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSSTAFF18;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSSTAFF18",TITAN_HGRIND_SSSTAFF18,630};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSSTAFF18"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSSTAFF28;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSSTAFF28",TITAN_HGRIND_SSSTAFF28,930};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSSTAFF28"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSSTAFF38;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSSTAFF38",TITAN_HGRIND_SSSTAFF38,1380};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSSTAFF38"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSSTAFF48;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSSTAFF48",TITAN_HGRIND_SSSTAFF48,2040};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSSTAFF48"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSSTAFF58;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSSTAFF58",TITAN_HGRIND_SSSTAFF58,15000};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSSTAFF58"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSBOW18;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSBOW18",TITAN_HGRIND_SSBOW18,315};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSBOW18"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSBOW28;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSBOW28",TITAN_HGRIND_SSBOW28,465};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSBOW28"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSBOW38;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSBOW38",TITAN_HGRIND_SSBOW38,690};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSBOW38"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSBOW48;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSBOW48",TITAN_HGRIND_SSBOW48,1020};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSBOW48"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSBOW58;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSBOW58",TITAN_HGRIND_SSBOW58,7500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSBOW58"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSSWORD18;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSSWORD18",TITAN_HGRIND_SSSWORD18,315};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSSWORD18"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSSWORD28;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSSWORD28",TITAN_HGRIND_SSSWORD28,465};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSSWORD28"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSSWORD38;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSSWORD38",TITAN_HGRIND_SSSWORD38,690};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSSWORD38"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSSWORD48;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSSWORD48",TITAN_HGRIND_SSSWORD48,1020};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSSWORD48"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSSWORD58;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSSWORD58",TITAN_HGRIND_SSSWORD58,7500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSSWORD58"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSDAGGER18;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSDAGGER18",TITAN_HGRIND_SSDAGGER18,315};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSDAGGER18"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSDAGGER28;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSDAGGER28",TITAN_HGRIND_SSDAGGER28,465};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSDAGGER28"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSDAGGER38;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSDAGGER38",TITAN_HGRIND_SSDAGGER38,690};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSDAGGER38"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSDAGGER48;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSDAGGER48",TITAN_HGRIND_SSDAGGER48,1020};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSDAGGER48"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSDAGGER58;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSDAGGER58",TITAN_HGRIND_SSDAGGER58,7500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSDAGGER58"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
	end
	if ( UIDROPDOWNMENU_MENU_VALUE == "SSArmor" ) then
		--Silverwing Sentinels Armor
		TitanPanelRightClickMenu_AddTitle(TitanUtils_GetGreenText(TITAN_HGRIND_ASSL), UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSCAPE18;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSCAPE18",TITAN_HGRIND_SSCAPE18,95};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSCAPE18"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSCAPE28;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSCAPE28",TITAN_HGRIND_SSCAPE28,140};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSCAPE28"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSCAPE38;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSCAPE38",TITAN_HGRIND_SSCAPE38,207};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSCAPE38"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSCAPE48;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSCAPE48",TITAN_HGRIND_SSCAPE48,306};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSCAPE48"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSCAPE58;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSCAPE58",TITAN_HGRIND_SSCAPE58,2250};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSCAPE58"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSBERSERKER40;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSBERSERKER40",TITAN_HGRIND_SSBERSERKER40,621};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSBERSERKER40"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSBERSERKER50;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSBERSERKER50",TITAN_HGRIND_SSBERSERKER50,918};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSBERSERKER50"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSBERSERKER60;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSBERSERKER60",TITAN_HGRIND_SSBERSERKER60,6750};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSBERSERKER60"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSDRYAD40;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSDRYAD40",TITAN_HGRIND_SSDRYAD40,621};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSDRYAD40"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSDRYAD50;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSDRYAD50",TITAN_HGRIND_SSDRYAD50,918};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSDRYAD50"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSDRYAD60;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSDRYAD60",TITAN_HGRIND_SSDRYAD60,6750};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSDRYAD60"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSFOREST40;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSFOREST40",TITAN_HGRIND_SSFOREST40,621};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSFOREST40"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSFOREST50;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSFOREST50",TITAN_HGRIND_SSFOREST50,918};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSFOREST50"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSFOREST60;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSFOREST60",TITAN_HGRIND_SSFOREST60,6750};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSFOREST60"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSWINDTALKER40;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSWINDTALKER40",TITAN_HGRIND_SSWINDTALKER40,621};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSWINDTALKER40"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSWINDTALKER50;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSWINDTALKER50",TITAN_HGRIND_SSWINDTALKER50,918};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSWINDTALKER50"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSWINDTALKER60;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSWINDTALKER60",TITAN_HGRIND_SSWINDTALKER60,6750};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSWINDTALKER60"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSSILK;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSSILK",TITAN_HGRIND_SSSILK,13125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSSILK"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSLIZARD;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSLIZARD",TITAN_HGRIND_SSLIZARD,13125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSLIZARD"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSLEATHER;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSLEATHER",TITAN_HGRIND_SSLEATHER,13125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSLEATHER"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSCHAIN;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSCHAIN",TITAN_HGRIND_SSCHAIN,13125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSCHAIN"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSLAMELLAR;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSLAMELLAR",TITAN_HGRIND_SSLAMELLAR,13125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSLAMELLAR"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSPLATE;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSPLATE",TITAN_HGRIND_SSPLATE,13125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSPLATE"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
	end
	if ( UIDROPDOWNMENU_MENU_VALUE == "SSTrink" ) then
		--Silverwing Sentinels Trinkets
		TitanPanelRightClickMenu_AddTitle(TitanUtils_GetGreenText(TITAN_HGRIND_ASSL), UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSRUNE20;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSRUNE20",TITAN_HGRIND_SSRUNE20,174};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSRUNE20"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSRUNE40;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSRUNE40",TITAN_HGRIND_SSRUNE40,380};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSRUNE40"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
	end
	if ( UIDROPDOWNMENU_MENU_VALUE == "SSRing" ) then
		--Silverwing Sentinels Rings
		TitanPanelRightClickMenu_AddTitle(TitanUtils_GetGreenText(TITAN_HGRIND_ASSL), UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSLORE18;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSLORE18",TITAN_HGRIND_SSLORE18,95};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSLORE18"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSLORE28;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSLORE28",TITAN_HGRIND_SSLORE28,140};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSLORE28"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSLORE38;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSLORE38",TITAN_HGRIND_SSLORE38,207};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSLORE38"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSLORE48;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSLORE48",TITAN_HGRIND_SSLORE48,306};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSLORE48"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSLORE58;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSLORE58",TITAN_HGRIND_SSLORE58,2250};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSLORE58"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSPROT18;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSPROT18",TITAN_HGRIND_SSPROT18,95};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSPROT18"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSPROT28;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSPROT28",TITAN_HGRIND_SSPROT28,140};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSPROT28"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSPROT38;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSPROT38",TITAN_HGRIND_SSPROT38,207};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSPROT38"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSPROT48;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSPROT48",TITAN_HGRIND_SSPROT48,306};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSPROT48"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSPROT58;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSPROT58",TITAN_HGRIND_SSPROT58,2250};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSPROT58"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
	end
	if ( UIDROPDOWNMENU_MENU_VALUE == "SSNeck" ) then
		--Silverwing Sentinels Necklaces
		TitanPanelRightClickMenu_AddTitle(TitanUtils_GetGreenText(TITAN_HGRIND_ASSL), UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSMEDAL18;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSMEDAL18",TITAN_HGRIND_SSMEDAL18,95};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSMEDAL18"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSMEDAL28;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSMEDAL28",TITAN_HGRIND_SSMEDAL28,140};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSMEDAL28"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSMEDAL38;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSMEDAL38",TITAN_HGRIND_SSMEDAL38,207};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSMEDAL38"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSMEDAL48;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSMEDAL48",TITAN_HGRIND_SSMEDAL48,306};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSMEDAL48"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSMEDAL58;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSMEDAL58",TITAN_HGRIND_SSMEDAL58,2250};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSMEDAL58"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
	end
	if ( UIDROPDOWNMENU_MENU_VALUE == "WOWeapon" ) then
		--Warsong Outriders Weapons
		TitanPanelRightClickMenu_AddTitle(TitanUtils_GetGreenText(TITAN_HGRIND_HWOL), UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOSTAFF18;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOSTAFF18",TITAN_HGRIND_WOSTAFF18,630};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOSTAFF18"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOSTAFF28;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOSTAFF28",TITAN_HGRIND_WOSTAFF28,930};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOSTAFF28"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOSTAFF38;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOSTAFF38",TITAN_HGRIND_WOSTAFF38,1380};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOSTAFF38"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOSTAFF48;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOSTAFF48",TITAN_HGRIND_WOSTAFF48,2040};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOSTAFF48"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOSTAFF58;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOSTAFF58",TITAN_HGRIND_WOSTAFF58,15000};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOSTAFF58"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOBOW18;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOBOW18",TITAN_HGRIND_WOBOW18,315};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOBOW18"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOBOW28;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOBOW28",TITAN_HGRIND_WOBOW28,465};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOBOW28"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOBOW38;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOBOW38",TITAN_HGRIND_WOBOW38,690};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOBOW38"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOBOW48;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOBOW48",TITAN_HGRIND_WOBOW48,1020};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOBOW48"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOBOW58;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOBOW58",TITAN_HGRIND_WOBOW58,7500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOBOW58"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOSWORD18;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOSWORD18",TITAN_HGRIND_WOSWORD18,315};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOSWORD18"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOSWORD28;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOSWORD28",TITAN_HGRIND_WOSWORD28,465};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOSWORD28"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOSWORD38;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOSWORD38",TITAN_HGRIND_WOSWORD38,690};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOSWORD38"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOSWORD48;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOSWORD48",TITAN_HGRIND_WOSWORD48,1020};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOSWORD48"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOSWORD58;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOSWORD58",TITAN_HGRIND_WOSWORD58,7500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOSWORD58"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WODAGGER18;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WODAGGER18",TITAN_HGRIND_WODAGGER18,315};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WODAGGER18"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WODAGGER28;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WODAGGER28",TITAN_HGRIND_WODAGGER28,465};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WODAGGER28"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WODAGGER38;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WODAGGER38",TITAN_HGRIND_WODAGGER38,690};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WODAGGER38"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WODAGGER48;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WODAGGER48",TITAN_HGRIND_WODAGGER48,1020};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WODAGGER48"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WODAGGER58;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WODAGGER58",TITAN_HGRIND_WODAGGER58,7500};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WODAGGER58"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
	end
	if ( UIDROPDOWNMENU_MENU_VALUE == "WOArmor" ) then
		--Warsong Outriders Armor
		TitanPanelRightClickMenu_AddTitle(TitanUtils_GetGreenText(TITAN_HGRIND_HWOL), UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSBERSERKER40;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSBERSERKER40",TITAN_HGRIND_SSBERSERKER40,621};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSBERSERKER40"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSBERSERKER50;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSBERSERKER50",TITAN_HGRIND_SSBERSERKER50,918};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSBERSERKER50"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSBERSERKER60;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSBERSERKER60",TITAN_HGRIND_SSBERSERKER60,6750};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSBERSERKER60"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSDRYAD40;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSDRYAD40",TITAN_HGRIND_SSDRYAD40,621};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSDRYAD40"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSDRYAD50;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSDRYAD50",TITAN_HGRIND_SSDRYAD50,918};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSDRYAD50"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSDRYAD60;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSDRYAD60",TITAN_HGRIND_SSDRYAD60,6750};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSDRYAD60"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSFOREST40;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSFOREST40",TITAN_HGRIND_SSFOREST40,621};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSFOREST40"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSFOREST50;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSFOREST50",TITAN_HGRIND_SSFOREST50,918};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSFOREST50"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSFOREST60;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSFOREST60",TITAN_HGRIND_SSFOREST60,6750};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSFOREST60"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSWINDTALKER40;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSWINDTALKER40",TITAN_HGRIND_SSWINDTALKER40,621};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSWINDTALKER40"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSWINDTALKER50;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSWINDTALKER50",TITAN_HGRIND_SSWINDTALKER50,918};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSWINDTALKER50"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_SSWINDTALKER60;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"SSWINDTALKER60",TITAN_HGRIND_SSWINDTALKER60,6750};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["SSWINDTALKER60"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOSILK;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOSILK",TITAN_HGRIND_WOSILK,13125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOSILK"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOLIZARD;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOLIZARD",TITAN_HGRIND_WOLIZARD,13125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOLIZARD"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOLEATHER;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOLEATHER",TITAN_HGRIND_WOLEATHER,13125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOLEATHER"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOCHAIN;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOCHAIN",TITAN_HGRIND_WOCHAIN,13125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOCHAIN"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOMAIL;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOMAIL",TITAN_HGRIND_WOMAIL,13125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOMAIL"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOPLATE;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOPLATE",TITAN_HGRIND_WOPLATE,13125};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOPLATE"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
	end
	if ( UIDROPDOWNMENU_MENU_VALUE == "WOTrink" ) then
		--Warsong Outriders Trinkets
		TitanPanelRightClickMenu_AddTitle(TitanUtils_GetGreenText(TITAN_HGRIND_HWOL), UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WORUNE20;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WORUNE20",TITAN_HGRIND_WORUNE20,174};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WORUNE20"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WORUNE40;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WORUNE40",TITAN_HGRIND_WORUNE40,380};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WORUNE40"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
	end
	if ( UIDROPDOWNMENU_MENU_VALUE == "WORing" ) then
		--Warsong Outriders Rings
		TitanPanelRightClickMenu_AddTitle(TitanUtils_GetGreenText(TITAN_HGRIND_HWOL), UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOADVISOR18;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOADVISOR18",TITAN_HGRIND_WOADVISOR18,95};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOADVISOR18"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOADVISOR28;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOADVISOR28",TITAN_HGRIND_WOADVISOR28,140};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOADVISOR28"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOADVISOR38;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOADVISOR38",TITAN_HGRIND_WOADVISOR38,207};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOADVISOR38"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOADVISOR48;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOADVISOR48",TITAN_HGRIND_WOADVISOR48,306};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOADVISOR48"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOADVISOR58;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOADVISOR58",TITAN_HGRIND_WOADVISOR58,2250};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOADVISOR58"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOLEGION18;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOLEGION18",TITAN_HGRIND_WOLEGION18,95};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOLEGION18"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOLEGION28;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOLEGION28",TITAN_HGRIND_WOLEGION28,140};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOLEGION28"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOLEGION38;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOLEGION38",TITAN_HGRIND_WOLEGION38,207};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOLEGION38"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOLEGION48;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOLEGION48",TITAN_HGRIND_WOLEGION48,306};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOLEGION48"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOLEGION58;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOLEGION58",TITAN_HGRIND_WOLEGION58,2250};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOLEGION58"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
	end
	if ( UIDROPDOWNMENU_MENU_VALUE == "WONeck" ) then
		--Warsong Outriders Necklaces
		TitanPanelRightClickMenu_AddTitle(TitanUtils_GetGreenText(TITAN_HGRIND_HWOL), UIDROPDOWNMENU_MENU_LEVEL);
		TitanPanelRightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOSCOUTMEDAL18;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOSCOUTMEDAL18",TITAN_HGRIND_WOSCOUTMEDAL18,95};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOSCOUTMEDAL18"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOSCOUTMEDAL28;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOSCOUTMEDAL28",TITAN_HGRIND_WOSCOUTMEDAL28,140};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOSCOUTMEDAL28"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOSCOUTMEDAL38;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOSCOUTMEDAL38",TITAN_HGRIND_WOSCOUTMEDAL38,207};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOSCOUTMEDAL38"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOSCOUTMEDAL48;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOSCOUTMEDAL48",TITAN_HGRIND_WOSCOUTMEDAL48,306};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOSCOUTMEDAL48"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
		info = {};
		info.text = TITAN_HGRIND_WOSCOUTMEDAL58;
		info.func = TitanHGrindButton_ToggleGoal;
		info.value = {"WOSCOUTMEDAL58",TITAN_HGRIND_WOSCOUTMEDAL58,2250};
		info.checked = (TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal["WOSCOUTMEDAL58"] == 1);
		UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
	end
end


function TitanPanelHGrindButton_ResetBGStats()

	TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].BGHonorHistory = { };

end
	

function TitanPanelHGrindButton_GetPlayerName()
	local pname;

	pname = UnitName("player");
	if (pname and pname ~= UNKNOWNOBJECT and pname ~= UKNOWNBEING and pname ~= "Unknown Entity") then
		TitanPanelHGrindButton_Login();
	end
end


function TitanPanelHGrindButton_Login()

	TITAN_HGRIND_PLAYER = UnitName("player").." "..GetCVar("realmName");
	local factionGroup, factionName = UnitFactionGroup("player");

	-- new player?
	if (not TITAN_HGRIND_KILLSLIFETIME[TITAN_HGRIND_PLAYER]) then
		TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER] = { yesterdayHK = 0, yesterdayCP = 0};
		TITAN_HGRIND_KILLSLIFETIME[TITAN_HGRIND_PLAYER] = { logined = 1 };
		TITAN_HGRIND_KILLSTODAY[TITAN_HGRIND_PLAYER] = {};
	end


	if (not TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].estCP) then
		TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].estCP = 0;
	end


	if (not TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].BGHonorHistory) then
		TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].BGHonorHistory = {};
	end

	if (not TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal) then
		if ( factionGroup == "Alliance" ) then
			TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal = { GMCLAYMORE = TITAN_NIL,
			GMSUNDERER = TITAN_NIL,
			GMBHAMMER = TITAN_NIL,
			GMDEMOLISHER = TITAN_NIL,
			GMGLAIVE = TITAN_NIL,
			GMSTAVE = TITAN_NIL,
			GMHANDAXE = TITAN_NIL,
			GMLONGSWORD = TITAN_NIL,
			GMSWIFTBLADE = TITAN_NIL,
			GMPUNISHER = TITAN_NIL,
			GMWARHAMMER = TITAN_NIL,
			GMRHB = TITAN_NIL,
			GMDIRK = TITAN_NIL,
			GMMAGEBLADE = TITAN_NIL,
			GMLHB = TITAN_NIL,
			GMAEGIS = TITAN_NIL,
			GMTPOWER = TITAN_NIL,
			GMTRESTO = TITAN_NIL,
			GMBULLSEYE = TITAN_NIL,
			GMREPEATER = TITAN_NIL,
			GMCANNON = TITAN_NIL,
			KLGLOVES = TITAN_NIL,
			KLBOOTS = TITAN_NIL,
			KCCHEST = TITAN_NIL,
			KCLEGS = TITAN_NIL,
			LCHELM = TITAN_NIL,
			LCSHOULDER = TITAN_NIL,
			MBOOTS = TITAN_NIL,
			MGLOVES = TITAN_NIL,
			MLEGS = TITAN_NIL,
			FMCHEST = TITAN_NIL,
			FMHELM = TITAN_NIL,
			FMSHOULDER = TITAN_NIL,
			SCAPE30 = TITAN_NIL,
			SCAPE45 = TITAN_NIL,
			SCAPE58 = TITAN_NIL,
			SMWRIST45 = TITAN_NIL,
			SMWRIST58 = TITAN_NIL,
			MSINSIGNIA30 = TITAN_NIL,
			MSINSIGNIA45 = TITAN_NIL,
			MSINSIGNIA58 = TITAN_NIL,
			AINSIGNIA = TITAN_NIL,
			ABATSTAN = TITAN_NIL,
			AMEDALL = TITAN_NIL,
			ATALIS = TITAN_NIL,
			BTRIUMPH = TITAN_NIL,
			BDOMINANCE = TITAN_NIL,
			PTRIUMPH = TITAN_NIL,
			PDOMINANCE = TITAN_NIL,
			BOR = TITAN_NIL,
			ROR = TITAN_NIL,
			SOD = TITAN_NIL,
			GOD = TITAN_NIL,
			IOT = TITAN_NIL,
			POT = TITAN_NIL,
			LATALIS28 = TITAN_NIL,
			LATALIS38 = TITAN_NIL,
			LATALIS48 = TITAN_NIL,
			LATALIS58 = TITAN_NIL,
			LABELT28 = TITAN_NIL,
			LABELT40 = TITAN_NIL,
			LABELT48 = TITAN_NIL,
			LABELT58 = TITAN_NIL,
			LABOOT28 = TITAN_NIL,
			LABOOT40 = TITAN_NIL,
			LABOOT48 = TITAN_NIL,
			LABOOT58 = TITAN_NIL,
			LACLOAK = TITAN_NIL,
			LASHOULDER = TITAN_NIL,
			LASTAFF = TITAN_NIL,
			LASAGE = TITAN_NIL,
			SGSOLDCLOAK = TITAN_NIL,
			SGSAGECLOAK = TITAN_NIL,
			SGSOLDPEND = TITAN_NIL,
			SGSAGEPEND = TITAN_NIL,
			SGPBELT = TITAN_NIL,
			SGMBELT = TITAN_NIL,
			SGLBELT = TITAN_NIL,
			SGCBELT = TITAN_NIL,
			SGELECDAG = TITAN_NIL,
			SGCRACKSTAF = TITAN_NIL,
			SGSTORMHAM = TITAN_NIL,
			SGBANDO = TITAN_NIL,
			SGQUIV = TITAN_NIL,
			SGLEI = TITAN_NIL,
			SGTHERA = TITAN_NIL,
			SGTDOM = TITAN_NIL,
			SGTARC = TITAN_NIL,
			SGTFOR = TITAN_NIL,
			SGTICE = TITAN_NIL,
			SGUNSTOP = TITAN_NIL,
			SGIMMOV = TITAN_NIL,
			SGDONJULIO = TITAN_NIL,
			SGLOBO = TITAN_NIL,
			SSRUNE20 = TITAN_NIL,
			SSRUNE40 = TITAN_NIL,
			SSCAPE18 = TITAN_NIL,
			SSCAPE28 = TITAN_NIL,
			SSCAPE38 = TITAN_NIL,
			SSCAPE48 = TITAN_NIL,
			SSCAPE58 = TITAN_NIL,
			SSLORE18 = TITAN_NIL,
			SSLORE28 = TITAN_NIL,
			SSLORE38 = TITAN_NIL,
			SSLORE48 = TITAN_NIL,
			SSLORE58 = TITAN_NIL,
			SSMEDAL18 = TITAN_NIL,
			SSMEDAL28 = TITAN_NIL,
			SSMEDAL38 = TITAN_NIL,
			SSMEDAL48 = TITAN_NIL,
			SSMEDAL58 = TITAN_NIL,
			SSPROT18 = TITAN_NIL,
			SSPROT28 = TITAN_NIL,
			SSPROT38 = TITAN_NIL,
			SSPROT48 = TITAN_NIL,
			SSPROT58 = TITAN_NIL,
			SSSTAFF18 = TITAN_NIL,
			SSSTAFF28 = TITAN_NIL,
			SSSTAFF38 = TITAN_NIL,
			SSSTAFF48 = TITAN_NIL,
			SSSTAFF58 = TITAN_NIL,
			SSBOW18 = TITAN_NIL,
			SSBOW28 = TITAN_NIL,
			SSBOW38 = TITAN_NIL,
			SSBOW48 = TITAN_NIL,
			SSBOW58 = TITAN_NIL,
			SSSWORD18 = TITAN_NIL,
			SSSWORD28 = TITAN_NIL,
			SSSWORD38 = TITAN_NIL,
			SSSWORD48 = TITAN_NIL,
			SSSWORD58 = TITAN_NIL,
			SSDAGGER18 = TITAN_NIL,
			SSDAGGER28 = TITAN_NIL,
			SSDAGGER38 = TITAN_NIL,
			SSDAGGER48 = TITAN_NIL,
			SSDAGGER58 = TITAN_NIL,
			SSBERSERKER40 = TITAN_NIL,
			SSBERSERKER50 = TITAN_NIL,
			SSBERSERKER60 = TITAN_NIL,
			SSDRYAD40 = TITAN_NIL,
			SSDRYAD50 = TITAN_NIL,
			SSDRYAD60 = TITAN_NIL,
			SSFOREST40 = TITAN_NIL,
			SSFOREST50 = TITAN_NIL,
			SSFOREST60 = TITAN_NIL,
			SSWINDTALKER40 = TITAN_NIL,
			SSWINDTALKER50 = TITAN_NIL,
			SSWINDTALKER60 = TITAN_NIL,
			SSSILK = TITAN_NIL,
			SSLIZARD = TITAN_NIL,
			SSLEATHER = TITAN_NIL,
			SSCHAIN = TITAN_NIL,
			SSLAMELLAR = TITAN_NIL,
			SSPLATE = TITAN_NIL, };
		end
		if ( factionGroup == "Horde" ) then
			TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal = { 
			HWGREAT = TITAN_NIL,
			HWBATAXE = TITAN_NIL,
			HWPULVER = TITAN_NIL,
			HWDESTROY = TITAN_NIL,
			HWSTICKER = TITAN_NIL,
			HWWARSTAFF = TITAN_NIL,
			HWCLEAVER = TITAN_NIL,
			HWBLADE = TITAN_NIL,
			HWQUICK = TITAN_NIL,
			HWBLUDGEON = TITAN_NIL,
			HWBATMACE = TITAN_NIL,
			HWRCLAW = TITAN_NIL,
			HWRAZOR = TITAN_NIL,
			HWSPELLBLADE = TITAN_NIL,
			HWTMEND = TITAN_NIL,
			HWTDEST = TITAN_NIL,
			HWSWALL = TITAN_NIL,
			HWLCLAW = TITAN_NIL,
			HWRECURVE = TITAN_NIL,
			HWCROSSBO = TITAN_NIL,
			HWSWEEPER = TITAN_NIL,
			FSWRIST45 = TITAN_NIL,
			FSWRIST58 = TITAN_NIL,
			SCAPE30 = TITAN_NIL,
			SCAPE45 = TITAN_NIL,
			SCAPE58 = TITAN_NIL,
			BGBOOTS = TITAN_NIL,
			BGGLOVES = TITAN_NIL,
			LLEGS = TITAN_NIL,
			LCHEST = TITAN_NIL,
			CSHOULDER = TITAN_NIL,
			CHELM = TITAN_NIL,
			GBOOTS = TITAN_NIL,
			GGLOVES = TITAN_NIL,
			WCHEST = TITAN_NIL,
			GLEGS = TITAN_NIL,
			WHELM = TITAN_NIL,
			WSHOULDER = TITAN_NIL,
			SSINSIG30 = TITAN_NIL,
			SSINSIG45 = TITAN_NIL,
			SSINSIG58 = TITAN_NIL,
			HINSIG = TITAN_NIL,
			HBATSTAN = TITAN_NIL,
			HMEDAL = TITAN_NIL,
			HTALIS = TITAN_NIL,
			BTRIUMPH = TITAN_NIL,
			BDOMINANCE = TITAN_NIL,
			PTRIUMPH = TITAN_NIL,
			PDOMINANCE = TITAN_NIL,
			BOR = TITAN_NIL,
			ROR = TITAN_NIL,
			SOD = TITAN_NIL,
			GOD = TITAN_NIL,
			IOT = TITAN_NIL,
			POT = TITAN_NIL,
			WORUNE20 = TITAN_NIL,
				WORUNE40 = TITAN_NIL,
				WOADVISOR18 = TITAN_NIL,
				WOADVISOR28 = TITAN_NIL,
				WOADVISOR38 = TITAN_NIL,
				WOADVISOR48 = TITAN_NIL,
				WOADVISOR58 = TITAN_NIL,
				WOLEGION18 = TITAN_NIL,
				WOLEGION28 = TITAN_NIL,
				WOLEGION38 = TITAN_NIL,
				WOLEGION48 = TITAN_NIL,
				WOLEGION58 = TITAN_NIL,
				WOSCOUTMEDAL18 = TITAN_NIL,
				WOSCOUTMEDAL28 = TITAN_NIL,
				WOSCOUTMEDAL38 = TITAN_NIL,
				WOSCOUTMEDAL48 = TITAN_NIL,
				WOSCOUTMEDAL58 = TITAN_NIL,
				WOSTAFF18 = TITAN_NIL,
				WOSTAFF28 = TITAN_NIL,
				WOSTAFF38 = TITAN_NIL,
				WOSTAFF48 = TITAN_NIL,
				WOSTAFF58 = TITAN_NIL,
				WOBOW18 = TITAN_NIL,
				WOBOW28 = TITAN_NIL,
				WOBOW38 = TITAN_NIL,
				WOBOW48 = TITAN_NIL,
				WOBOW58 = TITAN_NIL,
				WOSWORD18 = TITAN_NIL,
				WOSWORD28 = TITAN_NIL,
				WOSWORD38 = TITAN_NIL,
				WOSWORD48 = TITAN_NIL,
				WOSWORD58 = TITAN_NIL,
				WODAGGER18 = TITAN_NIL,
				WODAGGER28 = TITAN_NIL,
				WODAGGER38 = TITAN_NIL,
				WODAGGER48 = TITAN_NIL,
				WODAGGER58 = TITAN_NIL,
				WOCAPE18 = TITAN_NIL,
				WOCAPE28 = TITAN_NIL,
				WOCAPE38 = TITAN_NIL,
				WOCAPE48 = TITAN_NIL,
				WOCAPE58 = TITAN_NIL,
				SSBERSERKER40 = TITAN_NIL,
				SSBERSERKER50 = TITAN_NIL,
				SSBERSERKER60 = TITAN_NIL,
				SSDRYAD40 = TITAN_NIL,
				SSDRYAD50 = TITAN_NIL,
				SSDRYAD60 = TITAN_NIL,
				SSFOREST40 = TITAN_NIL,
				SSFOREST50 = TITAN_NIL,
				SSFOREST60 = TITAN_NIL,
				SSWINDTALKER40 = TITAN_NIL,
				SSWINDTALKER50 = TITAN_NIL,
				SSWINDTALKER60 = TITAN_NIL,
				WOSILK = TITAN_NIL,
				WOLIZARD = TITAN_NIL,
				WOLEATHER = TITAN_NIL,
				WOMAIL = TITAN_NIL,
				WOCHAIN = TITAN_NIL,
				WOPLATE = TITAN_NIL,
			FCLEGCLOAK = TITAN_NIL,
			FCADVICLOAK = TITAN_NIL,
			FCLEGPEND = TITAN_NIL,
			FCADVIPEND = TITAN_NIL,
			FCPBELT = TITAN_NIL,
			FCMBELT = TITAN_NIL,
			FCLBELT = TITAN_NIL,
			FCCBELT = TITAN_NIL,
			FCFROSTBITE = TITAN_NIL,
			FCGLACIAL = TITAN_NIL,
			FCSTAFF = TITAN_NIL,
			SGBANDO = TITAN_NIL,
			SGQUIV = TITAN_NIL,
			SGLEI = TITAN_NIL,
			SGTHERA = TITAN_NIL,
			SGTDOM = TITAN_NIL,
			SGTARC = TITAN_NIL,
			SGTFOR = TITAN_NIL,
			SGTICE = TITAN_NIL,
			SGUNSTOP = TITAN_NIL,
			SGIMMOV = TITAN_NIL,
			SGDONJULIO = TITAN_NIL,
			SGDONROD = TITAN_NIL,
			SGLOBO = TITAN_NIL,
			TDTALIS28 = TITAN_NIL,
			TDTALIS38 = TITAN_NIL,
			TDTALIS48 = TITAN_NIL,
			TDTALIS58 = TITAN_NIL,
			TDBELT28 = TITAN_NIL,
			TDBELT40 = TITAN_NIL,
			TDBELT48 = TITAN_NIL,
			TDBELT58 = TITAN_NIL,
			TDBOOT28 = TITAN_NIL,
			TDBOOT40 = TITAN_NIL,
			TDBOOT48 = TITAN_NIL,
			TDBOOT58 = TITAN_NIL,
			TDCLOAK = TITAN_NIL,
			TDSHOULDER = TITAN_NIL,
			TDSTAFF = TITAN_NIL,
			TDDAG = TITAN_NIL,
			};
		end
	end
	
	-- check for new day, reset if it is
	TitanPanelHGrindButton_ResetToday();

end

function TitanPanelHGrindButton_ResetToday()
	local hk, contribution;

	-- Yesterday's values
	hk, contribution = GetPVPYesterdayStats();

	-- if yesterday's values differ from when last logged in, wipe kills for today
	if (	TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].yesterdayHK ~= hk or
		TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].yesterdayCP ~= contribution
	) then
		-- new day
		TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].yesterdayHK = hk;
		TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].yesterdayCP = contribution;

		TITAN_HGRIND_KILLSTODAY[TITAN_HGRIND_PLAYER] = {};

		-- wipe estinated CP for today
		TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].estCP = 0;
		
	end
end

--Begin Toggle functions for Goals
--Added by Tidan of Thorium Brotherhood
function TitanHGrindButton_ToggleGoal()
	local k,v
	for k, v in pairs(TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal) do
	--for k, v in pairs(TitanGetVar("Honor")) do
			--DEFAULT_CHAT_FRAME:AddMessage(k);
			--DEFAULT_CHAT_FRAME:AddMessage(this.value[1]);
			if(k == this.value[1]) then
				TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal[k] = 1;
				TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].GoalText = this.value[2];
				TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].GoalHonor = this.value[3];
			else
				TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal[k] = TITAN_NIL;
			end
	end
	TitanPanelButton_UpdateButton(TITAN_HGRIND_ID);
end
--End Toggle functions for Goals

function TitanPanelHGrindButton_EstimateCP(ecp)
	if (TITAN_HGRIND_KILLSTODAY[TITAN_HGRIND_PLAYER][TITAN_HGRIND_LASTKILL] > 10) then
		return 0
	elseif (TITAN_HGRIND_KILLSTODAY[TITAN_HGRIND_PLAYER][TITAN_HGRIND_LASTKILL] == 1) then
		return ecp
	else
		return ecp - ( (TITAN_HGRIND_KILLSTODAY[TITAN_HGRIND_PLAYER][TITAN_HGRIND_LASTKILL] - 1) / 10 * ecp );
	end
end

function TitanPanelHGrindButton_CheckBGConfirm()
	local status, index;
	local autoJoin = TitanGetVar(TITAN_HGRIND_ID, "AutoJoinBG");

	for i=1,4 do
		status,_,_ = GetBattlefieldStatus(i);
		if(status == "confirm") then
			index = i;
			--DEFAULT_CHAT_FRAME:AddMessage(status.." "..index);
			break
		end
	end
	
	if (math.floor(TITAN_HGRIND_BGCONFIRM - GetTime()) == 19) then DEFAULT_CHAT_FRAME:AddMessage("20...", 1, 1, 0) end
	if (math.floor(TITAN_HGRIND_BGCONFIRM - GetTime()) == 9) then DEFAULT_CHAT_FRAME:AddMessage("10...", 1, 1, 0) end
	if (math.floor(TITAN_HGRIND_BGCONFIRM - GetTime()) == 4) then DEFAULT_CHAT_FRAME:AddMessage("5...", 1, 1, 0) end
	if (math.floor(TITAN_HGRIND_BGCONFIRM - GetTime()) == 3) then DEFAULT_CHAT_FRAME:AddMessage("4...", 1, 1, 0) end
	if (math.floor(TITAN_HGRIND_BGCONFIRM - GetTime()) == 2) then DEFAULT_CHAT_FRAME:AddMessage("3...", 1, 1, 0) end
	if (math.floor(TITAN_HGRIND_BGCONFIRM - GetTime()) == 1) then DEFAULT_CHAT_FRAME:AddMessage("2...", 1, 1, 0) end
	if (math.floor(TITAN_HGRIND_BGCONFIRM - GetTime()) == 0) then DEFAULT_CHAT_FRAME:AddMessage("1...", 1, 1, 0) end
		
	
	if ((status == "confirm") and (autoJoin == 1)) then
		if (StaticPopup_Visible("CONFIRM_BATTLEFIELD_ENTRY")) then
			if (TITAN_HGRIND_BGCONFIRM == 0) then
				DEFAULT_CHAT_FRAME:AddMessage(TITAN_HGRIND_MAJ, 1, 1, 0);
				TITAN_HGRIND_BGCONFIRM = GetTime() + 30;
			elseif (GetTime() > TITAN_HGRIND_BGCONFIRM) then
				TITAN_HGRIND_BGCONFIRM = 0;
				if UnitIsAFK("player") then
					DEFAULT_CHAT_FRAME:AddMessage(TITAN_HGRIND_CANCELAJ, 1, 1, 0);
				else
					DEFAULT_CHAT_FRAME:AddMessage(TITAN_HGRIND_MAJNOW, 1, 1, 0);
					AcceptBattlefieldPort(index,1)
					StaticPopup_Hide("CONFIRM_BATTLEFIELD_ENTRY");
				end
			end
		end
	end
end

-- If the "Hide" button is clicked when ready to enter BG.
-- It means the user doesn't want to join, so we disable auto-join.
function TitanPanelHGrindButton_StaticPopup_OnHide()
	old_StaticPopup_OnHide();
	if (this.which == "CONFIRM_BATTLEFIELD_ENTRY") and (TITAN_HGRIND_BGCONFIRM ~= 0) then
		TITAN_HGRIND_BGCONFIRM = 0;
		DEFAULT_CHAT_FRAME:AddMessage(TITAN_HGRIND_MAJDIS, 1, 1, 0);
	end
end

--Begin Reset Goals
--Added by Tidan of Thorium Brotherhood
function TitanPanelHGrindButton_ResetGoal()
	TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].GoalHonor = 0;
	TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].GoalText = TITAN_NIL;
	local k,v
	for k, v in pairs(TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal) do
		TITAN_HGRIND_CFG[TITAN_HGRIND_PLAYER].Goal[k] = TITAN_NIL;
	end
	TitanPanelButton_UpdateButton(TITAN_HGRIND_ID);
end
--End Reset Goals
